TikTok
Get basic TikTok data metrics
Get the basic metrics data of a creator’s TikTok account.
GET
/
tiktokBasic
cURL
curl --request GET \
--url 'https://dev.creatordb.app/v2/tiktokBasic?tiktokId=.....aaaaesthetic' \
--header 'Accept: application/json' \
--header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'const options = {method: 'GET', headers: {apiId: '<apiid>'}};
fetch('https://dev.creatordb.app/v2/tiktokBasic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dev.creatordb.app/v2/tiktokBasic"
headers = {"apiId": "<apiid>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://dev.creatordb.app/v2/tiktokBasic"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("apiId", "<apiid>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://dev.creatordb.app/v2/tiktokBasic")
.header("apiId", "<apiid>")
.asString();{
"data": {
"basicTikTok": {
"tiktokId": ".....aaaaesthetic",
"tiktokName": ".....aaesthetic",
"youtubeId": "",
"instagramId": "",
"avatar": "https://p16-sign-va.tiktokcdn.com/tos-maliva-avt-0068/9ab6fe2ee7db151807c30ba7f59668da~tplv-tiktokx-cropcenter:720:720.jpeg?dr=14579&refresh_token=b8c906e2&x-expires=1755054000&x-signature=6DfhDAeymRGgB5CgmhS5RJTrRZc%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=81f88b70&idc=my",
"description": "pr/collab email: aaaaesthetic.uk@gmail.com\npinterest: xaaesthetic",
"relatedUsers": [
"bts_official_bighit",
"twice_tiktok_official",
"joeman0828"
],
"recentVideos": [
{
"uploadDate": 1750206628000,
"videoId": "7517080182545517846",
"length": 12,
"cover": "https://p16-pu-sign-no.tiktokcdn-eu.com/tos-no1a-p-0037-no/oIZEoBgFyvAEPCIaISITGBBaiioFhYAAKEhSW~tplv-tiktokx-origin.image?dr=14575&x-expires=1755054000&x-signature=WJK3EPtAvMJLkxPQ5On9NXvGczc%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my",
"audioId": "7517080135716080406",
"audioTitle": "original sound",
"audioAuthor": ".....aaesthetic",
"audioAlbum": "",
"hearts": 28,
"shares": 0,
"comments": 0,
"plays": 235,
"engageRate": 0.11914893617021277,
"hashtags": [
"#lilies",
"#lillies",
"#flowers"
],
"commerceHashtags": [],
"isAd": false,
"isDuetEnabled": true
},
{
"uploadDate": 1704584094000,
"videoId": "7321132893059796257",
"length": 0,
"cover": "https://p16-sign-va.tiktokcdn.com/tos-maliva-i-photomode-us/60d4b9d3150340028a6e0f58b422729f~tplv-photomode-image.jpeg?dr=14555&x-expires=1755054000&x-signature=H3ud%2Fo7iUhhA4spcY%2Bm8J88%2Fkic%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=9b759fb9&idc=my&ftpl=1",
"audioId": "7289498627536374571",
"audioTitle": "my love mine all mine",
"audioAuthor": "r7ptor",
"audioAlbum": "",
"hearts": 157,
"shares": 0,
"comments": 13,
"plays": 1813,
"engageRate": 0.09376723662437948,
"hashtags": [],
"commerceHashtags": [],
"isAd": false,
"isDuetEnabled": false
},
{
"uploadDate": 1703942994000,
"videoId": "7318379374288424225",
"length": 11,
"cover": "https://p16-common-sign-useastred.tiktokcdn-eu.com/tos-useast2a-p-0037-euttp/o4DxIE4DJQNIfFiI8eAfM8BqfKG4Ejg3gLIDAG~tplv-tiktokx-origin.image?dr=14575&x-expires=1755054000&x-signature=2foUcmASK3sJvJ3wopHhA3WWcdg%3D&t=4d5b0474&ps=13740610&shp=81f88b70&shcp=43f4a2f9&idc=my",
"audioId": "7242418278340119323",
"audioTitle": "What's Luv? (feat. Ja-Rule & Ashanti)",
"audioAuthor": "Fat Joe",
"audioAlbum": "Jealous Ones Still Envy (J.O.S.E)",
"hearts": 238,
"shares": 1,
"comments": 7,
"plays": 1918,
"engageRate": 0.12825860271115747,
"hashtags": [
"#xmas",
"#christmas",
"#xmas2023"
],
"commerceHashtags": [],
"isAd": false,
"isDuetEnabled": false
}
],
"isVerified": false,
"isPrivateAccount": false,
"hashtags": [
"#foryoupage",
"#fyp",
"#beads"
],
"commerceHashtags": [],
"country": "GBR",
"lang": "eng",
"followers": 38100,
"following": 4757,
"hearts": 711300,
"videos": 305,
"avgLength": 13,
"avgHearts": 3167,
"avgShares": 13,
"avgComments": 16,
"avgPlays": 22941,
"engageRate": 0.11153172478142909,
"gRateFollowers": -0.002379819133745835,
"gRateHearts": 0.00012782493097453728,
"gRateAvgHearts": 0,
"gRateAvgShares": 0,
"gRateAvgComments": 0,
"gRateAvgPlays": 0.0002378262679112908,
"gRateEngageRate": -0.0021331956549717913
}
},
"quotaUsed": 2,
"quotaUsedTotal": 6026,
"remainingPlanCredit": 993974,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503515550,
"error": "",
"success": true
}{
"data": null,
"quotaUsed": 0,
"quotaUsedTotal": 0,
"remainingPlanCredit": 0,
"remainingPrepurchasedCredit": 0,
"timestamp": 1755503514936,
"error": "TikTokIdNotFound",
"success": false
}Headers
Example:
"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"
Query Parameters
Example:
".....aaaaesthetic"
Response
OK
Show child attributes
Show child attributes
API credits that were used to make this call.
Total API credits used since the last billing cycle.
The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.
The number of remaining extra purchased API credits. These API credits do not expire until used.
Unix timestamp of the call request that the server received.
Errors that occurred during the API call.
It is TRUE when the call is successful.
Last modified on February 25, 2026
⌘I
cURL
